\usepackage[obeyFinal,
            textwidth=2cm
        ]{todonotes}
\presetkeys{todonotes}{}{}
\setlength{\marginparwidth}{2cm}
\usepackage{changes}
\colorlet{Changes@Color}{orange}
\makeatletter
\newcommand\resetchangescolor[1]{%
  \setkeys{Changes@definechangesauthor}{color=#1}%
  \expandafter%
  \let\csname Changes@AuthorColor\endcsname=\Changes@definechangesauthor@color%
  \colorlet{Changes@Color}{\@nameuse{Changes@AuthorColor}}%
}
\makeatother
\newcommand{\iadd}[2][]{\resetchangescolor{cyan}\added[#1]{#2}}
\newcommand{\idelete}[2][]{\resetchangescolor{orange}\deleted[#1]{#2}}
\newcommand{\ireplace}[3][]{\resetchangescolor{red}\replaced[#1]{#2}{#3}}